import { Model, ModelStatic } from 'sequelize-typescript';
export declare class PaginationQuery {
    limit?: number;
    page?: number;
    orderBy?: string;
    orderDirection?: string;
    searchKey?: string;
}
export interface PaginationOption extends PaginationQuery {
    model: ModelStatic<Model<any, any>>;
}
export interface PaginationResponse<T> extends PaginationQuery {
    data: T[];
    total: number;
    totalPages: number;
}
