"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var PaginationModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaginationModule = void 0;
const common_1 = require("@nestjs/common");
const constants_1 = require("./constants");
const pagination_service_1 = require("./pagination.service");
let PaginationModule = PaginationModule_1 = class PaginationModule {
    static forRoot(options = {
        limit: constants_1.defaultValues.limit,
        page: constants_1.defaultValues.page,
        isGlobal: constants_1.defaultValues.global,
        orderDirection: constants_1.defaultValues.orderDirection,
    }) {
        return {
            module: PaginationModule_1,
            providers: [
                {
                    provide: constants_1.PAGINATION_OPTIONS,
                    useValue: options,
                },
                pagination_service_1.PaginationService,
            ],
            global: options === null || options === void 0 ? void 0 : options.isGlobal,
            exports: [pagination_service_1.PaginationService],
        };
    }
};
PaginationModule = PaginationModule_1 = __decorate([
    (0, common_1.Module)({
        providers: [pagination_service_1.PaginationService],
        exports: [pagination_service_1.PaginationService],
    })
], PaginationModule);
exports.PaginationModule = PaginationModule;
