import { ModuleRef } from '@nestjs/core';
import { FindAndCountOptions } from 'sequelize';
import { PaginationOption, PaginationQuery, PaginationResponse } from './pagination.entity';
export declare class PaginationService {
    private moduleRef;
    private defaultOptions;
    constructor(moduleRef: ModuleRef, defaultOptions: PaginationQuery);
    findAll(options: PaginationOption, optionsSequelize: FindAndCountOptions): Promise<PaginationResponse<any>>;
}
